/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Pierre Garcia 
 */

package org.objectweb.dream.control.lifecycle;

/**
 * Control interface which allow a component to inform that it want to be
 * started asynchronously (call the
 * {@link org.objectweb.fractal.api.control.LifeCycleController#startFc()}
 * method in a separate thread).
 */
public interface NeedAsyncStartController
{
  /**
   * Returns <code>true</code> if the component should be started
   * asynchronously.
   * 
   * @return <code>true</code> if the component should be started
   *         asynchronously.
   */
  boolean getFcNeedAsyncStart();
}
