/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Pierre Garcia
 */

package org.objectweb.dream.dreamannotation;

import org.objectweb.dream.dreamannotation.util.DreamLifeCycleType;

import spoon.aval.annotation.structure.AValTarget;
import spoon.reflect.declaration.CtMethod;

/**
 * An annotation on a component method which specifies to run the method
 * behavior when the component is starting (DreamLifeCycleType.START), or is stopping
 * (DreamLifeCycleType.STOP). <br\> In addition to fraclet {@see LifeCycle LifeCycle}
 * annotation, the method beforeFirstStart() is called in the startFc() method
 * before the first start of the component
 * 
 * @author Pierre Garcia <pierre.garcia@inrialpes.fr>
 */

@AValTarget(CtMethod.class)
public @interface DreamLifeCycle {
  DreamLifeCycleType on();
}