/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Pierre Garcia
 */

package org.objectweb.dream.dreamannotation.util;

/**
 * Controller Descriptions available in Dream Core.
 * 
 * @author Pierre Garcia <pierre.garcia@inrialpes.fr>
 */
public final class DreamControllerDesc
{
  /**
   * Controller Name of Primitive Components
   */
  public static final String PRIMITIVE_CONTROLLER                    = "dreamPrimitive";
  /**
   * Controller Name of Active Primitive Components
   */
  public static final String ACTIVE_PRIMITIVE_CONTROLLER             = "activeDreamPrimitive";
  /**
   * Controller Name of Unstoppable Primitive Components
   */
  public static final String UNSTOPPABLE_PRIMITIVE_CONTROLLER        = "dreamUnstoppablePrimitive";
  /**
   * Controller Name of Active Unstoppable Primitive Components
   */
  public static final String ACTIVE_UNSTOPPABLE_PRIMITIVE_CONTROLLER = "activeDreamUnstoppablePrimitive";
}